@use "styles/helpers";

.textPage {
  margin-top: 43px;
  margin-bottom: 82px;


  &__desc {
    flex: 1;
    margin-right: 30px;

    h1 {
      margin: 0
    }

    p {
      font-size: 16px;
      line-height: 24px;
    }
  }

  &__desc_inner {
    margin-top: 14px;
    padding-left: 3px;

    p:not(:first-child) {
      margin-top: 11px;
    }
  }

  &__image {
    margin-top: 20px;
  }

  &__listWrap {
    flex-basis: 100%;
    max-width: 688px;
    margin-top: 26px;
    padding-left: 3px;
    font-size: 16px;
    line-height: 24px;

    ul {
      margin-top: 26px;

      li {
        display: flex;
        align-items: center;

        &:not(:first-child) {
          margin-top: 10px;
        }

        &::before {
          content: url("/img/icons/list-check.svg");
          background: #119AD0;
          display: inline-block;
          border-radius: 50%;
          padding: 4px 8.5px;
          margin-right: 19px;
          height: 32px;
          align-self: flex-start;
        }
      }
    }
  }

  &__subtitle {
    font-weight: 500;
    font-size: 24px;
    line-height: 24px;
  }

  &__listWrap_desc {
    margin-top: 22px;
  }

  &__image_title {
    display: none;
    margin: 0;
  }
}

@media screen and (max-width: 965px) {
  .textPage {
    &__desc {
      h1 {
        font-size: 32px;
        line-height: 42px;
      }
    }

    &__image {
      flex: 1;
    }
  }
}

@media screen and (max-width: helpers.$widthTablet) {
  .textPage {
    flex-direction: column;
    margin-top: 18px;
    margin-bottom: 85px;

    &__image_title {
      display: block;
    }

    &__image {
      order: 1;

      img {
        margin-top: 22px;
      }
    }

    &__desc {
      order: 2;
      margin-right: 0;

      h1 {
        display: none;
      }
    }

    &__desc_inner {
      margin-top: 34px;
    }

    &__listWrap {
      order: 3;
    }

  }
}

@media screen and (max-width: helpers.$widthMobile) {
  .textPage {
    margin-top: 33px;
    margin-bottom: 43px;

    &__image_title {
      display: none;
    }

    &__image {
      order: 2;

      img {
        margin-top: 2px;
      }

    }

    &__desc {
      order: 1;

      h1 {
        display: block;
        font-size: 24px;
        line-height: 32px;
      }
    }

    &__desc_inner {
      margin-top: 14px;
    }

    &__listWrap {
      order: 3;
      margin-top: 31px;

      ul {
        margin-top: 17px;
      }
    }

  }
}

